Poll batch protein lookup job status
curl --request GET \
--url https://biohub.ai/esm/protein/api/v1alpha1/proteins/batch/jobs/{job_id}import requests
url = "https://biohub.ai/esm/protein/api/v1alpha1/proteins/batch/jobs/{job_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://biohub.ai/esm/protein/api/v1alpha1/proteins/batch/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "pending",
"job_id": "<string>",
"poll_url": "<string>",
"download_url": "<string>",
"created_at": "<string>",
"completed_count": 123,
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Batch lookup
Poll batch protein lookup job status
Check the status of an async batch protein lookup. Returns 200 with a zip download URL when complete, 202 when pending, 410 when expired.
GET
/
esm
/
protein
/
api
/
v1alpha1
/
proteins
/
batch
/
jobs
/
{job_id}
Poll batch protein lookup job status
Path Parameters
Response
Successful Response
Status of an async batch protein lookup job.
Status meanings:
pending: job submitted; pollpoll_urlfor updates.completed:download_urlprovides a time-limited URL for the result zip.cancelled: caller cancelled the job via DELETE before it completed.failed/expired: the job did not complete successfully, or its results are no longer available for download.
Job state. See description above for the meaning of each value.
Available options:
pending, completed, cancelled, failed, expired Server-assigned id for this async job.
URL to poll for job status updates.
Time-limited URL for the result zip. Populated only when status is completed.
ISO 8601 timestamp of job submission.
Number of proteins processed so far.
Total number of proteins in the job.